/*
 *    Copyright (C) 2007 T.Teranishi
 */

#if !defined(AFX_WIN32OGL_H__C2E33052_C3C8_4523_8F48_ADDB7C3EB873__INCLUDED_)
#define AFX_WIN32OGL_H__C2E33052_C3C8_4523_8F48_ADDB7C3EB873__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "resource.h"

#define WINDOW_WIDTH  640
#define WINDOW_HEIGHT 480

extern void Initialize(unsigned int width, unsigned int height);
extern void DrawScene(HWND hWnd, unsigned int width, unsigned int height, time_t elapsedTime);
extern void Resize(unsigned int width, unsigned int height);
extern void Idle(HWND hWnd);
extern HGLRC WGLCreate(HWND hWnd);
extern void WGLDelete(HGLRC hRC);

#include <stdio.h>

#define __MSG_BUFFER_SIZE		(1024 * 8)

#if defined(_DEBUG) || defined(DEBUG)

extern void TRACE(LPCSTR pszFormat, ...);

// DebuĝƂ
#define TRACE0(x)				TRACE(x)
#define TRACE1(x, a)            TRACE(x, a)
#define TRACE2(x, a, b)         TRACE(x, a, b)
#define TRACE3(x, a, b, c)      TRACE(x, a, b, c)
#else
// ReleasêƂ
#define TRACE
#define TRACE0(x)
#define TRACE1(x, a)
#define TRACE2(x, a, b)
#define TRACE3(x, a, b, c)
#endif

#endif // !defined(AFX_WIN32OGL_H__C2E33052_C3C8_4523_8F48_ADDB7C3EB873__INCLUDED_)
