/*
 *    Copyright (C) 2007 T.Teranishi
 */

// win32ogl.cpp : AvP[Vp̃Gg |Cg̒`
//

#include "stdafx.h"
#include "resource.h"

#include <GL/gl.h>
#include <GL/glu.h>

#include "win32ogl.h"

#include <stdio.h>
#include <time.h>
#include <sys/timeb.h>

#define MAX_LOADSTRING 100


HWND ghWnd;
HGLRC ghRC = NULL;
unsigned int gWidth = WINDOW_WIDTH;
unsigned int gHeight = WINDOW_HEIGHT;

struct timeb _startTime;

// O[oϐ:
HINSTANCE hInst;					// ݂̃CX^X
TCHAR szTitle[MAX_LOADSTRING];				// ^Cg o[ eLXg
TCHAR szWindowClass[MAX_LOADSTRING];			// ^Cg o[ eLXg

// ̃R[h W[Ɋ܂܂֐̑O錾:
ATOM			MyRegisterClass( HINSTANCE hInstance );
BOOL			InitInstance( HINSTANCE, int );
LRESULT CALLBACK	WndProc( HWND, UINT, WPARAM, LPARAM );
LRESULT CALLBACK	About( HWND, UINT, WPARAM, LPARAM );

int APIENTRY WinMain(HINSTANCE hInstance,
                     HINSTANCE hPrevInstance,
                     LPSTR     lpCmdLine,
                     int       nCmdShow )
{
 	// TODO: ̈ʒuɃR[hLqĂB
	MSG msg;
	HACCEL hAccelTable;

	// O[o XgO܂
	LoadString(hInstance, IDS_APP_TITLE, szTitle, MAX_LOADSTRING);
	LoadString(hInstance, IDC_WIN32OGL, szWindowClass, MAX_LOADSTRING);
	MyRegisterClass( hInstance );

	// AvP[V̏s܂:
	if( !InitInstance( hInstance, nCmdShow ) ) 
	{
		return FALSE;
	}

	hAccelTable = LoadAccelerators(hInstance, (LPCTSTR)IDC_WIN32OGL);

	// C bZ[W [v:
	while(1) {
		while(PeekMessage(&msg, NULL, 0, 0, PM_NOREMOVE) == TRUE) {
			if (GetMessage(&msg, NULL, 0, 0))
			{
				if (!TranslateAccelerator(msg.hwnd, hAccelTable, &msg))
				{
					TranslateMessage(&msg);
					DispatchMessage(&msg);
				}
			} else {
				return (int) msg.wParam;
			}
		}

		if (ghRC && gWidth != 0 && gHeight != 0) {
			// AChO
			Idle(ghWnd);
		}
	}

	return msg.wParam;
}

//
//  ֐: MyRegisterClass()
//
//  pr: EBhE NX̓o^
//
//  Rg:
//
//    ̊֐т̎gp͂̃R[h Windows 95 Őɒǉꂽ
//    'RegisterClassEx' ֐ Win32 VXě݊ێꍇ
//    ̂ݕKvƂȂ܂BAvP[VAAvP[VɊ֘At
//    ꂽX[ ACR擾ł悤Å֐ĂяoƂ
//    dvłB
//
ATOM MyRegisterClass( HINSTANCE hInstance )
{
	WNDCLASSEX wcex;

	wcex.cbSize = sizeof(WNDCLASSEX); 

	wcex.style		= CS_HREDRAW | CS_VREDRAW;
	wcex.lpfnWndProc	= (WNDPROC)WndProc;
	wcex.cbClsExtra		= 0;
	wcex.cbWndExtra		= 0;
	wcex.hInstance		= hInstance;
	wcex.hIcon		= LoadIcon(hInstance, (LPCTSTR)IDI_WIN32OGL);
	wcex.hCursor		= LoadCursor(NULL, IDC_ARROW);
	wcex.hbrBackground	= (HBRUSH)(COLOR_WINDOW+1);
	wcex.lpszMenuName	= (LPCSTR)IDC_WIN32OGL;
	wcex.lpszClassName	= szWindowClass;
	wcex.hIconSm		= LoadIcon(wcex.hInstance, (LPCTSTR)IDI_SMALL);

	return RegisterClassEx( &wcex );
}

//
//   ֐: InitInstance(HANDLE, int)
//
//   pr: CX^X nh̕ۑƃC EBhE̍쐬
//
//   Rg:
//
//        ̊֐ł́ACX^X nhO[oϐɕۑAvO
//        C EBhE쐬\܂B
//
BOOL InitInstance( HINSTANCE hInstance, int nCmdShow )
{
	hInst = hInstance; // O[oϐɃCX^X nhۑ܂

	ghWnd = CreateWindow(
		szWindowClass, 
		szTitle, 
		WS_OVERLAPPEDWINDOW | WS_CLIPCHILDREN | WS_CLIPSIBLINGS,
		CW_USEDEFAULT, 0, CW_USEDEFAULT, 0, 
		NULL, 
		NULL, 
		hInstance, 
		NULL
	);

	if(!ghWnd) 
	{
		return FALSE;
	}

	{
		RECT	rc;
		DWORD	dwStyle;
		int		xp, yp;
		int		menuFlag;

		/* change window style to popup */
		dwStyle = GetWindowLong(ghWnd, GWL_STYLE);

		GetWindowRect(ghWnd, &rc);
		xp = rc.left;
		yp = rc.top;

		menuFlag	= GetMenu(ghWnd) != NULL;
		rc.top		= rc.left = 0;
		rc.right	= WINDOW_WIDTH;
		rc.bottom	= WINDOW_HEIGHT;
		AdjustWindowRect(&rc, dwStyle, menuFlag);

		gWidth = rc.right - rc.left;
		gHeight = rc.bottom - rc.top;

		SetWindowPos(ghWnd, HWND_NOTOPMOST, 
					xp, yp, gWidth, gHeight,
					SWP_NOZORDER | SWP_NOACTIVATE
		);
	}

	ShowWindow(ghWnd, nCmdShow);
	UpdateWindow(ghWnd);

	return TRUE;
}

//
//  ֐: WndProc(HWND, unsigned, WORD, LONG)
//
//  pr: C EBhẼbZ[W܂B
//
//  WM_COMMAND	- AvP[V j[̏
//  WM_PAINT	- C EBhE̕`
//  WM_DESTROY	- IbZ[W̒ʒmƃ^[
//
//
LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	int wmId, wmEvent;
	PAINTSTRUCT ps;
	HDC hdc;
	RECT rect;

	switch( message ) 
	{
		case WM_CREATE:
			// _OReLXg̍쐬
			ghRC = WGLCreate(hWnd);

			GetClientRect(hWnd, &rect);
			hdc = GetDC(hWnd);
			wglMakeCurrent(hdc, ghRC);

			// 
			Initialize(rect.right, rect.bottom);
			
			wglMakeCurrent(NULL, NULL);
			ReleaseDC(hWnd, hdc);
			break;
	    case WM_SIZE:
			if (ghRC) {
				gWidth = LOWORD(lParam);
				gHeight = HIWORD(lParam);

				hdc = GetDC(hWnd);
				wglMakeCurrent(hdc, ghRC);

				// TCY
				Resize(gWidth, gHeight);
				
				wglMakeCurrent(NULL, NULL);
				ReleaseDC(hWnd, hdc);
			}
			break;
		case WM_COMMAND:
			wmId    = LOWORD(wParam); 
			wmEvent = HIWORD(wParam); 
			// j[Ỉ:
			switch( wmId ) 
			{
				case IDM_ABOUT:
				   DialogBox(hInst, (LPCTSTR)IDD_ABOUTBOX, hWnd, (DLGPROC)About);
				   break;
				case IDM_EXIT:
				   DestroyWindow( hWnd );
				   break;
				default:
				   return DefWindowProc( hWnd, message, wParam, lParam );
			}
			break;
		case WM_PAINT:
			hdc = BeginPaint (hWnd, &ps);
			// TODO: ̈ʒuɕ`p̃R[hǉĂ...

			if (ghRC && gWidth != 0 && gHeight != 0) {
				static bool _first = true;
				struct timeb timebuffer;
				time_t elapsed_time;

				if (_first) {
					_first = false;

					elapsed_time = 0;

					//Jn̋L^
					ftime(&_startTime);
				} else {
					//Jn̋L^
					ftime(&timebuffer);

					elapsed_time = (timebuffer.time - _startTime.time) * 1000;
					elapsed_time += timebuffer.millitm - _startTime.millitm;
				}

				wglMakeCurrent(hdc, ghRC);

				// `
				DrawScene(ghWnd, gWidth, gHeight, elapsed_time);
				
				wglMakeCurrent(NULL, NULL);
			}

			EndPaint( hWnd, &ps );
			break;
		case WM_ERASEBKGND:
			// wiȂ
            return TRUE;
		case WM_DESTROY:
			// _OReLXg̍폜
			WGLDelete(ghRC);
			ghRC = NULL;
			PostQuitMessage( 0 );
			break;
		default:
			return DefWindowProc( hWnd, message, wParam, lParam );
   }
   return 0;
}

// o[W{bNXpbZ[W nh
LRESULT CALLBACK About( HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam )
{
	switch( message )
	{
		case WM_INITDIALOG:
				return TRUE;

		case WM_COMMAND:
			if( LOWORD(wParam) == IDOK || LOWORD(wParam) == IDCANCEL ) 
			{
				EndDialog(hDlg, LOWORD(wParam));
				return TRUE;
			}
			break;
	}
    return FALSE;
}


#if defined(_DEBUG) || defined(DEBUG)

void TRACE(LPCSTR pszFormat, ...)
{
	va_list	argp;
	static char pszBuf[__MSG_BUFFER_SIZE];

	va_start(argp, pszFormat);
	vsprintf(pszBuf, pszFormat, argp);
	va_end(argp);
	OutputDebugStringA(pszBuf);
}

#endif